# 查詢可交易證券列表

`GET` `/v1/quote/get_security_list`

> **行情權限要求 · 免費**
> 開通 OpenAPI 後自動獲得，無需額外購買。
> _OpenAPI 行情權限獨立於 App/Web 行情權限_

按市場和類別篩選可交易證券列表，主要用於獲取符合盤前/盤後延長交易時段條件的證券。`market` 和 `category` 均爲必填參數。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `market` | string | Yes | 市場代碼，`US` 或 `HK`。 |
| `category` | string | Yes | 目標交易時段的證券類別篩選（如 `overnight` 表示美股可夜盤交易證券）。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/get_security_list?market=<market>&category=<category>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object[] | Yes | 匹配的證券列表。 |
| `└ symbol` | string | Yes | 證券代碼，如 `AAPL.US`。 |
| `└ name_cn` | string | No | 簡體中文名稱。 |
| `└ name_hk` | string | No | 繁體中文名稱。 |
| `└ name_en` | string | No | 英文名稱。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "list": [
      {
        "symbol": "AAPL.US",
        "name_cn": "苹果",
        "name_hk": "蘋果",
        "name_en": "Apple Inc."
      }
    ]
  }
}
```
